gr-baz Package

gr::baz::burst_tagger_impl Class Reference

`#include <baz_burst_tagger_impl.h>`

Inheritance diagram for gr::baz::burst_tagger_impl:
[legend]

## Public Member Functions
| burst_tagger_impl (const std::string &tag_name="length", float mult=1, unsigned int pad_front=0, unsigned int pad_rear=0, bool drop_residue=true, bool verbose=true)
| ~burst_tagger_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members
Public Types inherited from gr::baz::burst_tagger
typedef boost::shared_ptr< burst_tagger > | sptr
Static Public Member Functions inherited from gr::baz::burst_tagger
static sptr | make (const std::string &tag_name="length", float mult=1.0f, unsigned int pad_front=0, unsigned int pad_rear=0, bool drop_residue=true, bool verbose=true)

## Constructor & Destructor Documentation

## ◆ burst_tagger_impl()

gr::baz::burst_tagger_impl::burst_tagger_impl | ( | const std::string & | tag_name = "length",
|  | float | mult = 1,
|  | unsigned int | pad_front = 0,
|  | unsigned int | pad_rear = 0,
|  | bool | drop_residue = true,
|  | bool | verbose = true )

## ◆ ~burst_tagger_impl()

gr::baz::burst_tagger_impl::~burst_tagger_impl | ( |  | ) |

## Member Function Documentation

## ◆ forecast()

void gr::baz::burst_tagger_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## ◆ general_work()

int gr::baz::burst_tagger_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- baz_burst_tagger_impl.h